Package oracle.kv.table

# Interface BinaryDef

All Superinterfaces:
  `FieldDef`

public interface BinaryDef extends FieldDef
BinaryDef is an extension of `FieldDef` to encapsulate a Binary type. There is no instance-specific state at this time.

Since:
  3.0

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface oracle.kv.table.FieldDef

  `FieldDef.Type`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BinaryDef`
  `clone()`
  Perform a deep copy of this FieldDef instance.
  `BinaryValue`
  `fromString(String encodedString)`
  Creates a BinaryValue instance from a String.

  ### Methods inherited from interface oracle.kv.table.FieldDef

  `asAny, asAnyAtomic, asAnyJsonAtomic, asAnyRecord, asArray, asBinary, asBoolean, asDouble, asEnum, asFixedBinary, asFloat, asInteger, asJson, asLong, asMap, asNumber, asRecord, asString, asTimestamp, createArray, createBinary, createBoolean, createDouble, createEnum, createFixedBinary, createFloat, createInteger, createJsonNull, createLong, createMap, createNumber, createNumber, createNumber, createNumber, createNumber, createRecord, createString, createTimestamp, getDescription, getType, isAny, isAnyAtomic, isAnyJsonAtomic, isAnyRecord, isArray, isAtomic, isBinary, isBoolean, isComplex, isDouble, isEnum, isFixedBinary, isFloat, isInteger, isJson, isLong, isMap, isMRCounter, isNumber, isNumeric, isPrecise, isRecord, isString, isTimestamp, isType, isUUIDString, isValidIndexField, isValidKeyField`

- ## Method Details

  - ### clone

    BinaryDef clone()
    Description copied from interface: `FieldDef`
    Perform a deep copy of this FieldDef instance.
    Specified by:
      `clone` in interface `FieldDef`
    Returns:
      a deep copy of this object.

  - ### fromString

    BinaryValue fromString(String encodedString)
    Creates a BinaryValue instance from a String. The String must be a Base64 encoded string returned from `BinaryValue.toString()`.
    Returns:
      a String representation of the value
    Throws:
      `IllegalArgumentException` - if the string cannot be decoded